The latest version of WordPress is 3.5.1 – make sure to upgrade NOW!

facebook The latest version of WordPress is 3.5.1   make sure to upgrade NOW!twitter The latest version of WordPress is 3.5.1   make sure to upgrade NOW!google plus The latest version of WordPress is 3.5.1   make sure to upgrade NOW!reddit The latest version of WordPress is 3.5.1   make sure to upgrade NOW!pinterest The latest version of WordPress is 3.5.1   make sure to upgrade NOW!linkedin The latest version of WordPress is 3.5.1   make sure to upgrade NOW!mail The latest version of WordPress is 3.5.1   make sure to upgrade NOW!

Sorry it’s been so long since my last post. I’ve had some family emergencies that I’ve been dealing with and obviously got very behind in posting.

The most current version of WordPress is 3.5.1 and I strongly urge all of you to upgrade any and all of your WordPress installations immediately. If you are already on WP 3.0+, you should be able to do a one-click upgrade from within your WordPress Dashboard.

As always, backup your database before upgrading! I recommend using the WordPress Database Backup plugin.

In addition to lots of feature enhancements, there are many security fixes that make this a MUST INSTALL upgrade. It’s been out for a while now and is quite stable, so it is safe to install (in general, I always recommend holding off on installing WordPress updates for a few days after they are released as experience has shown that sometimes they can be buggy and a fixed version will then be released a few days later..)

I also recommend that you signup for the WordPress Release Notification newsletter so that you will always know when a new release has come out. Keeping all of your WordPress sites updated is critically important as older versions often have security exploits that hackers can use to inject malware into your sites. I will soon be writing an article specifically about how to protect your WordPress sites from hackers and malware.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>